package cn.com.ty.lift.ud.operation.service;

import cn.com.ty.lift.ud.common.NotExamineDto;
import cn.com.ty.lift.ud.operation.mapper.entity.OtherSettingEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 其他设置 -Service
 * 
 * @author Xson
 * @date 2020-05-16
 */
public interface IOtherSettingService extends IService<OtherSettingEntity> {

    RestResponse create(OtherSettingEntity entity);

    RestResponse submit(Long id);

    RestResponse getAllStay();

    RestResponse getAllCommit();

    RestResponse getHistoryVersion();

    RestResponse getLatestVersion();

    RestResponse examineById(NotExamineDto neDto);
}
